# $Revision: 1.9 $, $Date: 2007-12-24 11:35:34 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	Factory-Util
Summary:	Class::Factory::Util - provide utility methods for factory classes
Summary(pl.UTF-8):	Class::Factory::Util - dostarczanie metod narzędziowych dla klas przemysłowych
Name:		perl-Class-Factory-Util
Version:	1.7
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	aebd79da361b676a7ecd3245fc3d1b3f
URL:		http://search.cpan.org/dist/Class-Factory-Util/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module exports a method that is useful for factory classes.

%description -l pl.UTF-8
Ten moduł eksportuje metodę, która może być przydatna dla klas
przemysłowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorlib}/Class/Factory
%{perl_vendorlib}/Class/Factory/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-Factory-Util.spec,v $
Revision 1.9  2007-12-24 11:35:34  qboosh
- generic URL

Revision 1.8  2007-12-23 22:54:40  zbyniu
- up to 1.7

Revision 1.7  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:24  baggins
- converted to UTF-8

Revision 1.5  2004/11/03 13:21:18  paladine
- spaces->tabs
- formatting

Revision 1.4  2004/08/01 22:11:34  ankry
- added missing dir, rel. 2

Revision 1.3  2004/06/04 10:53:31  ankry
- unified translation regarding whether it is correct

Revision 1.2  2004/06/03 17:44:20  qboosh
- pl(?)

Revision 1.1  2004/06/03 13:33:49  radek
- new
